petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecGetOffloadMask

Get the offload mask of a Vec.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetOffloadMask(Vec v,PetscOffloadMask* mask)

Not Collective

### Input Parameters

| v | - the vector

### Output Parameters

| mask | - corresponding PetscOffloadMask enum value.

### See Also

VecCreateSeqCUDA(), VecCreateSeqViennaCL(), VecGetArray(), VecGetType()

### Level

intermediate

### Location

src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages